::************************************************************************
::Author:     Wistron(Kunshan) RD SW spec
::Purpose:    Detect Wireless and invoke the corresponding setup.exe 
::Project:    Lenovo IPG
::Build Date: 2010.04.02
::Version:    0.2
::Update History:
::       0.1:First release.
::       0.2:Modify for U160.
::************************************************************************

@echo off
:Wireless

devcon find @PCI\VEN_14E4*DEV_4727* | find /N "No matching"
if %ERRORLEVEL%==1  goto Broadcom
devcon find @PCI\VEN_168C*DEV_002B* | find /N "No matching"
if %ERRORLEVEL%==1  goto Atheros
devcon find @PCI\VEN_14E4*DEV_4357* | find /N "No matching"
if %ERRORLEVEL%==1  goto Broadcom
devcon find @PCI\VEN_168C*DEV_002A* | find /N "No matching"
if %ERRORLEVEL%==1  goto Atheros
goto end

:Atheros
.\2EWA03WW\setup.exe
goto end

:Broadcom
.\2EWB04WW\EXE\setup.exe 
goto end

:end
ECHO Install Finish!!
goto end1

:end0
echo "No Matched Wireless Device In This System." > nowireless.log

:end1
